Bug 896439 - engine: cannot live migrate disks which are linked to template
engine: cannot live migrate disks which are linked to template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity urgent
: ---
: 3.2.0
Assigned To: Daniel Erez
Dafna Ron
storage
: Regression
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-17 05:13 EST by Dafna Ron
Modified: 2016-02-10 15:21 EST (History)
10 users (show)

See Also:
Fixed In Version: sf5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (65.76 KB, application/x-xz)
2013-01-17 05:13 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11299 None None None Never

  None (edit)
Description Dafna Ron 2013-01-17 05:13:39 EST
Created attachment 680116 [details]
log

Description of problem:

I tried migrating disks for vm's which were created as thin provision copy of a template (they are linked to template) and we are getting a CaDoAction: 

Error: Cannot move Virtual Machine Disk. At least one of the VMs is not down.

2013-01-17 12:07:09,738 WARN  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-4) [61d428e1] CanDoAction of action MoveOrCopyDisk failed. Reasons:VAR__ACTION__MOVE,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_VM_IS_NOT_DOWN


Version-Release number of selected component (if applicable):

sf3

How reproducible:

100%

Steps to Reproduce:
1. create a new vm from template as thin provision copy
2. run the vm
3. try to move the disk 
  
Actual results:

we are failing on CanDoAction: 
Error: Cannot move Virtual Machine Disk. At least one of the VMs is not down.

Expected results:

we should be able to move the disk 

Additional info: engine log
Comment 1 Allon Mureinik 2013-01-23 04:25:51 EST
If a copy of the template disk exist on the target SD the migration should succeed.

If it does not, the migration should fail on canDoAction, but with a relevant message, not VM_IS_NOT_DOWN.
Comment 3 Dafna Ron 2013-02-03 05:03:27 EST
verified on sf5

we can move a disk which is attached to a template
Comment 4 Itamar Heim 2013-06-11 04:53:14 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:53:20 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:53:26 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:56:55 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:26:48 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.